Announcement

Collapse
No announcement yet.

ScriptCase v8.1.000 (07-16-2015 00:55)

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • ScriptCase v8.1.000 (07-16-2015 00:55)

    New functionalities

    - Added new chart generator with support for multiple values ​​and reports.
    - Added new refined filter restricting values ​​according to the existing universe in the database.
    - Added new macro sc_webservice supporting soap services, curl, file_get_contents and sockets.
    - Added new navigation exhibition path in the application menu.
    - Added new library manager tool.
    - Added support the sc_url_library() macros and sc_include_library().
    - Added new HelpCase generator.
    - Added new total option for weighted mean.
    - Added new data type that enables accumulated field creation available for totals and summary.
    - Added new ajax button type (it allows you to create Ajax callback function).
    - Added new interface to control logged users and Brute Force Protection
    - Added new parameters in theme editor for Refined Filter.
    - Added new parameters in theme editor for Tabs Menu.
    - Added new parameters in theme editor to Menu Breadcrumb.
    - Added new group of buttons for the new charts toolbar buttons in the editor.
    - Added option for background image in the advanced settings of theme for menu application.
    Note: If you are using some background image through a template or event and do not want to change the theme, add the command !important; to the end of his important parameter CSS.


    Specific correction

    - Fixed image problem when performing the backup and export projects.
    (You will need to update the ScriptCase for that correction to take effect.)


    Performance improvement


    - Performance improvement using the PHP 5.6 environment.
    - Performance improvement in backup and restore generator.


    Bug

    - Fixed the problem in the allowed characters configuration in converted form applications.
    - Fixed the problem in text display configured in the nested grid application.
    - Fixed the problem in the parameter passing in tab applications.
    - Fixed the problem in the axis X positioning in the Report PDF application when using the option to "Show Contents".
    - Fixed the problem in the auto-complete field from the capture type of link.
    - Fixed the problem displaying negative values ​​in the Report PDF.
    - Fixed problem in CSS style used in buttons editor.
    Last edited by John L. Santos; 08-04-2015, 09:40 AM.
    Best Regards,
    John L. Santos

    Bug Tracker Team
    NetMake - IT Solutions

  • #2
    John,
    is the freeze grid header feature missing from 8.1?

    Comment


    • #3
      hi guys, anybody tried this version yet? any known bugs so far?

      Comment


      • #4
        Originally posted by MikeDE View Post
        hi guys, anybody tried this version yet? any known bugs so far?
        I'm working with 8.1.01 and didn't noticed anything weird until now, but didn't had too much time to test.
        What I noticed, is speed. I didn't tested one against other, but I see 8.1 over PHP 5.6 a lot faster. PHP Generation is like turbo, and apps in general are rendered faster than with 8.0/PHP5.4
        /Giuseppe

        Professional Scriptcase Services
        Some Customers opinions

        Comment


        • #5
          Thank you Giu for your feedback.

          what do you mean if you use it with php 5.6, do we have an option to keep it 5.4? and how it will work if yes!?

          also, how about if the produced applications/projects will be published on a web server that has lower than 5.6, is it okay?

          Comment


          • #6
            - Added support the sc_url_library() macros and sc_include_library().

            It would be nice if the macro documentation had these new macros.
            Anyone know the syntax\parameters??

            Comment


            • #7
              Originally posted by MikeDE View Post
              Thank you Giu for your feedback.

              what do you mean if you use it with php 5.6, do we have an option to keep it 5.4? and how it will work if yes!?
              8.1 works under PHP5.4 too. You can update your actual 8.0 installation, os just install as a new installation under php5.4 Just download PHP 5.4 version of 8.1

              also, how about if the produced applications/projects will be published on a web server that has lower than 5.6, is it okay?
              Sorry, don't know about that.
              /Giuseppe

              Professional Scriptcase Services
              Some Customers opinions

              Comment


              • #8
                Originally posted by Giu View Post
                8.1 works under PHP5.4 too. You can update your actual 8.0 installation, os just install as a new installation under php5.4 Just download PHP 5.4 version of 8.1



                Sorry, don't know about that.
                If folks don't know if 8.1 is going to work smoothly without any issues in PHP 5.4 after deployment on the server , it is a big miss on the part of Netmake.
                I would not risk a conversion unless I feel assured.

                Comment


                • #9
                  Originally posted by kendsouza View Post
                  I would not risk a conversion unless I feel assured.
                  I will do the same.

                  Now, I used to have my 8.0.47 working ok, I'm updating it regularly MANUALLY by downloading the zip file and extracting/overwriting the files in my scriptcase folder.

                  Please, anybody advise if this will work now to upgrade to 8.1 and what could be the consequence?

                  should i download and use the installer only?

                  we still have things need clarifications here, please, we can't afford making our current version of 8.0 not-usable to

                  so please John and SC team, let us know these main issues

                  thanks in advanced

                  Comment


                  • #10
                    Originally posted by MikeDE View Post
                    I will do the same.

                    Now, I used to have my 8.0.47 working ok, I'm updating it regularly MANUALLY by downloading the zip file and extracting/overwriting the files in my scriptcase folder.

                    Please, anybody advise if this will work now to upgrade to 8.1 and what could be the consequence?

                    should i download and use the installer only?

                    we still have things need clarifications here, please, we can't afford making our current version of 8.0 not-usable to

                    so please John and SC team, let us know these main issues

                    thanks in advanced
                    Overwriting SC installation has no sense when you can do an automatic installation. What you can do, is download manual 5.4 installation, and unzip below scriptcase folder. I mean. If scriptcase files is under c:\NetMake\v8\wwwroot\scriptcase, unzip on c:\NetMake\v8\wwwroot\v81 and will work under the same apache, but you can't import projects with trial license, and you need to export your projects, request new license from your SC profile, and apply new license in your 8.1 installation. I want to work with Netmake to improve this license issues.


                    should i download and use the installer only?
                    If you use installer, then a new apache will be installed. All depends on your needs.

                    Do a full SC folder backup, and update from inside SC. If something goes wrong, you can "rollback"

                    http://www.scriptcase.net/forum/show...-to-upgrade-SC
                    /Giuseppe

                    Professional Scriptcase Services
                    Some Customers opinions

                    Comment


                    • #11
                      Originally posted by Giu View Post
                      Overwriting SC installation has no sense when you can do an automatic installation. What you can do, is download manual 5.4 installation, and unzip below scriptcase folder. I mean. If scriptcase files is under c:\NetMake\v8\wwwroot\scriptcase, unzip on c:\NetMake\v8\wwwroot\v81 and will work under the same apache, but you can't import projects with trial license, and you need to export your projects, request new license from your SC profile, and apply new license in your 8.1 installation. I want to work with Netmake to improve this license issues.




                      If you use installer, then a new apache will be installed. All depends on your needs.

                      Do a full SC folder backup, and update from inside SC. If something goes wrong, you can "rollback"

                      http://www.scriptcase.net/forum/show...-to-upgrade-SC

                      Giu,
                      We can all understand the need for a rollback in case anything goes wrong. But there should never be any uncertainity with any major release conversion.
                      I rather be proactive with the all the facts at hand before I do the conversion than learn by trial and error.
                      Netmake should layout what is needed for a smooth conversion clearly and what we should do if the ideal environment for a conversion is not there.
                      There was no beta testing with the users. They release a paid , 'production ready' version and expect the users to figure it all out. That does not seem right.

                      Comment


                      • #12
                        Originally posted by kendsouza View Post
                        Giu,
                        We can all understand the need for a rollback in case anything goes wrong. But there should never be any uncertainity with any major release conversion.
                        I rather be proactive with the all the facts at hand before I do the conversion than learn by trial and error.
                        Netmake should layout what is needed for a smooth conversion clearly and what we should do if the ideal environment for a conversion is not there.
                        There was no beta testing with the users. They release a paid , 'production ready' version and expect the users to figure it all out. That does not seem right.
                        And I agree with you in all your points, but its a fact thath something can go wrong, and better to have a backup
                        /Giuseppe

                        Professional Scriptcase Services
                        Some Customers opinions

                        Comment


                        • #13
                          Giu, in case of the manual installation, upgrade, not via the installer, then the php and so are not in the zip file, how i can make the upgrade from a zip

                          considering i've done the backup folder full-copy successfully.

                          Comment


                          • #14
                            On you're scriptcase insllation directory, you have a components and wwwroot folder. Components is where apache,php resides. Wwwroot is where scriptcase is deployed inside a folder named scriptcase.

                            Unzip your download, and you will get a folder something like scriptcase8.1blabla. Copy this folder inside wwwroot and rename it to something shorter like sc81. To access this new SC instance, access using localhost:88/sc81 to use latest sc and localhost:88/scriptcase to access your old installation. Your new installation will not have license, but you can do some tests (but imported is no allowed on trial).

                            I hope I explained correctly, writing from mobile.
                            /Giuseppe

                            Professional Scriptcase Services
                            Some Customers opinions

                            Comment


                            • #15
                              Sorry Mike, didn't readed your post correctly.

                              There are 2 situations.
                              You want to keep working on PHP 5.4.
                              Then just do full backup and upgrade using the normal procedure (like when patches comes and upgrade inside SC to 8.0.046 to 8.0.047 for example), but in this situation, you will upgrade to 8.1. Backup is needed if something goes wrong, to have a way to rollback previous your upgrade. You can do a new installation using 5.4 but is not necessary IMHO.

                              You want to upgrade PHP version too, to use PHP 5.6
                              Then, a new installation is needed, because SC v8.0 works only under PHP 5.4.(*)
                              Download SC installer and do a new installation (SC installer will install over a new directory and port IIRC, old SC will not be affected by this). If you have an apache+PHP 5.6, then you can do a manual installation if you want.

                              I sent you my skype ID via PM.

                              (*) You can share an apache instance with differents PHP versions, but I think this is something more advanced and not related to SC itself.
                              /Giuseppe

                              Professional Scriptcase Services
                              Some Customers opinions

                              Comment

                              Working...
                              X